@echo off
echo TFD CNC1 Cleanup tool and music fix (v1.3)                     made by Nyerguds
echo.                                                     special thanks to Zimbio81

if not exist CONQUER.MIX goto bad
if not exist UPDATEC.MIX goto bad
if not exist "c&c95.exe" goto bad
if not exist covert\movies.mix if not exist covert\scores.mix goto done

echo.
echo Cleaning up folder "Command & Conquer(tm)"...
if exist covert\movies.mix del covert\movies.mix >nul

if exist covert\scores.mix   del scores.mix >nul
if exist covert\scores.mix  move covert\scores.mix . >nul
if exist covert\aud.mix      del covert\aud.mix >nul
if exist covert\conquer.mix  del covert\conquer.mix >nul
if exist covert\general.mix  del covert\general.mix >nul
if exist covert\desert.mix   del covert\desert.mix >nul
if exist covert\temperat.mix del covert\temperat.mix >nul
if exist covert\winter.mix   del covert\winter.mix >nul
if exist covert\sounds.mix   del covert\sounds.mix >nul
if exist covert\*.386        del covert\*.386 >nul
if exist covert\readme.*     del covert\readme.* >nul
rd covert

if exist SC-003.MIX del scores.mix >nul
if exist SC-003.MIX ren SC-003.MIX scores.mix >nul

if exist disk.wav     del disk.wav >nul
if exist aud.mix      del aud.mix >nul

if not exist movies.mix goto end2

if exist airstrk.vqa  del airstrk.vqa >nul
if exist akira.vqa    del akira.vqa >nul
if exist banner.vqa   del banner.vqa >nul
if exist bombaway.vqa del bombaway.vqa >nul
if exist bombflee.vqa del bombflee.vqa >nul
if exist cc2tease.vqa del cc2tease.vqa >nul
if exist consyard.vqa del consyard.vqa >nul
if exist desflees.vqa del desflees.vqa >nul
if exist desolat.vqa  del desolat.vqa >nul
if exist dessweep.vqa del dessweep.vqa >nul
if exist dino.vqa     del dino.vqa >nul
if exist flag.vqa     del flag.vqa >nul
if exist forestkl.vqa del forestkl.vqa >nul
if exist gameover.vqa del gameover.vqa >nul
if exist gdi1.vqa     del gdi1.vqa >nul
if exist gdilose.vqa  del gdilose.vqa >nul
if exist generic.vqa  del generic.vqa >nul
if exist insites.vqa  del insites.vqa >nul
if exist intro2.vqa   del intro2.vqa >nul
if exist landing.vqa  del landing.vqa >nul
if exist logo.vqa     del logo.vqa >nul
if exist logo.vqp     del logo.vqp >nul
if exist logo._qa     del logo._qa >nul
if exist logo._qp     del logo._qp >nul
if exist nitejump.vqa del nitejump.vqa >nul
if exist nod1.vqa     del nod1.vqa >nul
if exist nod1pre.vqa  del nod1pre.vqa >nul
if exist nodflees.vqa del nodflees.vqa >nul
if exist nodlose.vqa  del nodlose.vqa >nul
if exist nodsweep.vqa del nodsweep.vqa >nul
if exist nuke.vqa     del nuke.vqa >nul
if exist obel.vqa     del obel.vqa >nul
if exist paratrop.vqa del paratrop.vqa >nul
if exist retro.vqa    del retro.vqa >nul
if exist sabotage.vqa del sabotage.vqa >nul
if exist samdie.vqa   del samdie.vqa >nul
if exist samsite.vqa  del samsite.vqa >nul
if exist seige.vqa    del seige.vqa >nul
if exist stealth.vqa  del stealth.vqa >nul
if exist tankkill.vqa del tankkill.vqa >nul
if exist trailer.vqa  del trailer.vqa >nul
if exist visor.vqa    del visor.vqa >nul

:end2
echo Done.
goto end


:bad
echo.
echo Please run this in your Command and conquer directory.
goto end
:done
echo.
echo The cleanup is already done.
:end
echo.
pause
